Pistis
API referenceMessages

Download an attachment

GET
/sessions/{id}/attachments/{aid}

The file's bytes, with its media type. Images are shown inline; anything else downloads.

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Path Parameters

id*string

A session id

aid*string

An attachment id

Response Body

The file

response?file*/*
Formatbinary
Example Request
curl -X GET 'http://127.0.0.1:7777/sessions/ses_6c1f2a0b9d3e4f5a6b7c/attachments/att_0f1e2d3c'
Example Response
"string"